Synchronize git webhook for a service
Service Main Calls
Synchronize git webhook for a service
Synchronizes the Qovery webhook configuration for a git-based service.
- If no webhook exists, creates one with the correct configuration
- If webhook exists but is misconfigured, updates it with the correct events
- If webhook is already correctly configured, returns current status Works with GitHub, GitLab, and Bitbucket repositories.
POST
Synchronize git webhook for a service
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Service ID of an application/job/container/database
Response
Webhook synchronized successfully
The webhook configuration status:
- ACTIVE: Webhook is properly configured with all required events
- NOT_CONFIGURED: No Qovery webhook found on the git rep
- MISCONFIGURED: Webhook exists but is missing required events
- UNABLE_TO_VERIFY: Could not check webhook status (auth error, rate limit, etc.)
Available options:
ACTIVE, NOT_CONFIGURED, MISCONFIGURED, UNABLE_TO_VERIFY The git provider where the webhook is configured
Available options:
GITHUB, GITLAB, BITBUCKET List of required events that are missing from the webhook configuration (only present when status is MISCONFIGURED)